Loading...
Searching...
No Matches
Catch::SectionInfo Struct Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::SectionInfo:
[legend]

## Public Member Functions

| SectionInfo (SourceLineInfo const &_lineInfo, std::string _name, const char *const =nullptr)

## Public Attributes

std::string | name
SourceLineInfo | lineInfo

## Constructor & Destructor Documentation

## SectionInfo()

Catch::SectionInfo::SectionInfo | ( | SourceLineInfo const & | _lineInfo,
|  | std::string | _name,
|  | const char * const | = nullptr )

inline

## Member Data Documentation

## lineInfo

SourceLineInfo Catch::SectionInfo::lineInfo

## name

std::string Catch::SectionInfo::name

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp